%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             xnio
Version:          3.3.0
Release:          2%{?dist}
Summary:          JBoss XNIO
License:          ASL 2.0
URL:              http://www.jboss.org/xnio
Source0:          https://github.com/xnio/xnio/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local

BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools >= 1.1.0
BuildRequires:    jboss-logmanager
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    junit
BuildRequires:    maven-shared
BuildRequires:    jmock
BuildRequires:    byteman >= 2.0.4-4

%description
A simplified low-level I/O layer which can be used anywhere you are
using NIO today. It frees you from the hassle of dealing with Selectors and
the lack of NIO support for multicast sockets and non-socket I/O, while still
maintaining all the capabilities present in NIO.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n xnio-%{namedversion}

%pom_remove_plugin "org.jboss.bridger:bridger" api/pom.xml

%build
# JMock is too old in Fedora
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 12 2015 Marek Goldmann <mgoldman@redhat.com> - 3.3.0-1
- Upstream release 3.3.0.Final

* Wed Jun 11 2014 Marek Goldmann <mgoldman@redhat.com> - 3.2.2-1
- Upstream release 3.2.2.Final

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 3.2.0-1
- Upstream release 3.2.0.Final

* Thu Dec 12 2013 Marek Goldmann <mgoldman@redhat.com> - 3.2.0-0.1.Beta3
- Upstream release 3.2.0.Beta3

* Tue Aug 06 2013 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-0.5.CR6
- Upstream release 3.1.0.CR6
- New guidelines

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-0.4.CR5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 05 2013 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-0.3.CR5
- Removing tools.jar from deps

* Wed Jun 05 2013 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-0.2.CR5
- Disabled tests that fail on koji because of network connectivity
- Cleanup

* Wed May 29 2013 Marek Goldmann <mgoldman@redhat.com> - 3.1.0-0.1.CR5
- Upstream release 3.1.0.CR5
- Using new guidelines

* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 3.0.3-6
- Added maven-shared BR

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.0.3-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Jul 23 2012 Marek Goldmann <mgoldman@redhat.com> - 3.0.3-3
- Fixed BR

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 12 2012 Marek Goldmann <mgoldman@redhat.com> 3.0.3-1
- Upstream release 3.0.3.GA

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 3.0.1-2
- Relocated jars to _javadir

* Wed Feb 15 2012 Marek Goldmann <mgoldman@redhat.com> 3.0.1-1
- Upstream release 3.0.1.GA

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-0.3.CR5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.2.CR5
- Upstream release 3.0.0.CR5

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.1.CR3
- Upstream release 3.0.0.CR3

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.1.Beta6
- Upstream release 3.0.0.Beta6

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.2.Beta4
- Spec file cleanup

* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.1.Beta4
- Initial packaging

